Bug 321255 - mouse double click collision
Summary: mouse double click collision
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Unclassified
Component: general (show other bugs)
Version: Git
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Ralf Habacker
URL:
Keywords:
Depends on:
Blocks: 159944
  Show dependency treegraph
 
Reported: 2013-06-17 08:44 UTC by Ralf Habacker
Modified: 2014-05-21 14:28 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.10.90


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Habacker 2013-06-17 08:44:35 UTC
Double click is bound to "open property dialog" and also bound to "remove single points" of an association. 


Reproducible: Always

Steps to Reproduce:
1. open umbrello 
2. add two classes
3. add an association between the two classes
4. add additional points to the line by left-click-on-line-hold-and-move
5. try to remove a point by double clicking on the point  
Actual Results:  
the point will be removed and the association property dialog is opened 

Expected Results:  
either the point should be removed or the association property dialog should be opened 

Beside binding "remove line point" to another key like CRTL-Click, there would also be the choice to bind "open property dialog" to another mouse action. 

For the record: 
- The "open property dialog" action is bound to right-click>properties 
- The "remote line point" is not bound do any context menu entry (should be added ?)

Any suggestions ?
Comment 1 Ralf Habacker 2013-06-24 12:02:18 UTC
Git commit ba1646137a515e136f98fbfe0aeba44965b8c76d by Ralf Habacker.
Committed on 17/06/2013 at 13:56.
Pushed by habacker into branch 'master'.

Fixed "mouse double click collision."

This patch fixes the 'delete point' collision:
- remove of 'delete points' double click action
- a new context menu entry named 'delete point'
- a new 'delete point' mouse action triggered by ctrl-mouse-left-click

M  +2    -0    umbrello/icon_utils.cpp
M  +1    -0    umbrello/icon_utils.h
M  +24   -0    umbrello/listpopupmenu.cpp
M  +1    -0    umbrello/listpopupmenu.h
M  +24   -1    umbrello/widgets/associationline.cpp
M  +1    -0    umbrello/widgets/associationline.h
M  +58   -17   umbrello/widgets/associationwidget.cpp
M  +3    -0    umbrello/widgets/associationwidget.h

http://commits.kde.org/umbrello/ba1646137a515e136f98fbfe0aeba44965b8c76d
Comment 2 Ralf Habacker 2013-06-25 07:29:44 UTC
Git commit 104098685a7141e2700c4a12e8d8e02d2d03141a by Ralf Habacker.
Committed on 24/06/2013 at 20:49.
Pushed by habacker into branch 'master'.

Fixed "mouse double click collision."

This patch fixes the 'add point' collision:
  - removed 'add point' double click action
  - added a new AssociationWidget context menu entry named 'Add Point'
  - moved out associaton related context menu setup into
    ListPopupMenu::setupAssocationItem()
  - use upper case context menu entry text for add/delete point
GUI

M  +2    -0    umbrello/icon_utils.cpp
M  +1    -0    umbrello/icon_utils.h
M  +56   -55   umbrello/listpopupmenu.cpp
M  +2    -0    umbrello/listpopupmenu.h
M  +61   -44   umbrello/widgets/associationwidget.cpp
M  +3    -0    umbrello/widgets/associationwidget.h

http://commits.kde.org/umbrello/104098685a7141e2700c4a12e8d8e02d2d03141a
Comment 3 Ralf Habacker 2013-06-26 10:20:54 UTC
There is also adding line
Comment 4 Ralf Habacker 2014-05-21 14:28:57 UTC
Git commit c102dbbd6904805bb90769b5f8a06558aec72bef by Ralf Habacker.
Committed on 21/05/2014 at 13:17.
Pushed by habacker into branch 'master'.

Let documentation follow the implementation.

M  +2    -4    doc/working_with_umbrello.docbook

http://commits.kde.org/umbrello/c102dbbd6904805bb90769b5f8a06558aec72bef